Oro\Bundle\WebsiteSearchBundle\SearchResult\Entity\SearchResultHistory:
    properties:
        searchTerm:
            - NotBlank: ~
            - Length:
                min: 1
                max: 1024
                allowEmptyString: false
        normalizedSearchTermHash:
            - NotBlank: ~
            - Length:
                min: 32
                max: 32
                allowEmptyString: false
        resultType:
            - NotBlank: ~
            - Length:
                max: 32
        resultsCount:
            - NotBlank: ~
            - Type: integer
        website:
            - NotBlank: ~
